package com.liquidnet.common.third.zxlnft.dto;

import com.liquidnet.common.third.zxlnft.dto.nft.NftInfo;
import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: AddressWithoutSeriesListReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:49
 */
@Data
public class Nft038AddressWithoutSeriesListRespDto implements Serializable {
    /**
     * 藏品总数
     */
    private Long total;
    /**
     * nft元信息列表
     */
    private List<NftInfo> nftList;

    private static final Nft038AddressWithoutSeriesListRespDto obj = new Nft038AddressWithoutSeriesListRespDto();
    public static Nft038AddressWithoutSeriesListRespDto getNew() {
        try {
            return (Nft038AddressWithoutSeriesListRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft038AddressWithoutSeriesListRespDto();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
